/* Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CCUnit Library.

   The CCUnit Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public License
   as published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   The CCUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CCUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

/*
 * $Id: runTestSuite.c,v 1.1 2003/10/05 10:02:10 tsutsumi Exp $
 */

#include <ccunit/CCUnit.h>

CCUnitTestSuite* complex_add_sub_suite ();
CCUnitTestSuite* complex_mul_div_suite ();

int main ()
{
  CCUnitTestSuite* suite;
  CCUnitTestResult* result;
  bool success;
  suite = ccunit_newTestSuite ("suite");
  ccunit_addTestSuite (suite, complex_add_sub_suite ());
  ccunit_addTestSuite (suite, complex_mul_div_suite ());
  result = ccunit_runTestSuite (suite, NULL);
  success = ccunit_wasSuccessful (result);
  return success ? 0 : -1;
}
